Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.deployment.wsdd.providers
Class WSDDComProvider

    java.lang.Object
      |
      +--org.apache.axis.deployment.wsdd.WSDDProvider
            |
            +--org.apache.axis.deployment.wsdd.providers.WSDDComProvider

public class WSDDComProvider
extends WSDDProvider

Field Summary
`static java.lang.String` | `OPTION_PROGID`
`static java.lang.String` | `OPTION_THREADING_MODEL`

Fields inherited from class org.apache.axis.deployment.wsdd.WSDDProvider
`log`

Constructor Summary
`WSDDComProvider()`

Method Summary
`java.lang.String` | `getName()`
`Handler` | `newProviderInstance(WSDDService service, EngineConfiguration registry)`

Methods inherited from class org.apache.axis.deployment.wsdd.WSDDProvider
`getInstance, getOperation, getOperations, registerProvider`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OPTION_PROGID

    public static final java.lang.String OPTION_PROGID

See Also:
  Constant Field Values

### OPTION_THREADING_MODEL

    public static final java.lang.String OPTION_THREADING_MODEL

See Also:
  Constant Field Values

Constructor Detail

### WSDDComProvider

    public WSDDComProvider()

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in class `WSDDProvider`

### newProviderInstance

    public Handler newProviderInstance(WSDDService service,
                                       EngineConfiguration registry)
                                throws java.lang.Exception

  Specified by:
    `newProviderInstance` in class `WSDDProvider`
  Parameters:
    `registry` - XXX
  Returns:
    XXX
  Throws:
    `java.lang.Exception` - XXX

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.